package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "app_transfer_log")
@Setter
@Getter
public class AppTransferLog extends DateEntity{

	private static final long serialVersionUID = 1L;
	

	
	   
	   @ApiModelProperty(value="设备编号", name="sn", required=true)
	   @Column(name = "sn")
	   private String sn;

	
	   
	   @ApiModelProperty(value="设备类型", name="deviceType", required=true)
	   @Column(name = "device_type")
	   private String deviceType;

	
	   
	   @ApiModelProperty(value="客户", name="customId", required=true)
	   @Column(name = "custom_id")
	   private String customId;

	
	   
	   @ApiModelProperty(value="状态", name="status", required=true)
	   @Column(name = "status")
	   private Integer status;

	

	

	
	   
	   @ApiModelProperty(value="批次号", name="pathNum", required=true)
	   @Column(name = "path_num")
	   private String pathNum;

	
}
