package cn.fastfun.util;


import java.util.HashMap;
import java.util.Map;

public class ResolveUtil {

    // 对SN进行切片
    public static Map<String,String> splitSn(String sn){
        Map<String,String> snMap = new HashMap<>();
        snMap.put("产品类型代码",sn.substring(0,1));
        snMap.put("pack制造商代码",sn.substring(1,3));
        snMap.put("电芯厂家代码",sn.substring(3,5));
        snMap.put("化学体系代码",sn.substring(5,6));
        snMap.put("电池平台代码",sn.substring(6,7));
        snMap.put("容量代码",sn.substring(7,9));
        snMap.put("产品扩展代码",sn.substring(9,10));
        snMap.put("生产日期代码",sn.substring(10,14));
        snMap.put("序列号代码",sn.substring(14,17));
        return snMap;
    }

    // 对SN中的日期进行解释
    public static String resolveDate(String productionDate){
        String year = "20" + productionDate.substring(0,2) + "年";
        String month = productionDate.substring(2,3);
        switch (month){
            case "A":
                month = "10月";
            case "B":
                month = "11月";
            case "C":
                month = "12月";
            default:
                month = month + "月";
        }
        String day = productionDate.substring(3,4);
        switch (day){
            case "A":
                day = "10日";
                break;
            case "B":
                day = "11日";
                break;
            case "C":
                day = "12日";
                break;
            case "D":
                day = "13日";
                break;
            case "E":
                day = "14日";
                break;
            case "F":
                day = "15日";
                break;
            case "G":
                day = "16日";
                break;
            case "H":
                day = "17日";
                break;
            case "J":
                day = "18日";
                break;
            case "K":
                day = "19日";
                break;
            case "L":
                day = "20日";
                break;
            case "M":
                day = "21日";
                break;
            case "N":
                day = "22日";
                break;
            case "P":
                day = "23日";
                break;
            case "Q":
                day = "24日";
                break;
            case "R":
                day = "25日";
                break;
            case "S":
                day = "26日";
                break;
            case "T":
                day = "27日";
                break;
            case "U":
                day = "28日";
                break;
            case "V":
                day = "29日";
                break;
            case "W":
                day = "30日";
                break;
            case "X":
                day = "31日";
                break;
            default:
                day = day + "日";

        }
        return year + month + day;


    }



}
