package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import org.springframework.util.StringUtils;

public class DeviceQueryParam extends QueryParam {

    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

    public void setImei(String imei) {
        if (!StringUtils.isEmpty(imei))
            addParam(QueryParamExp.like("imei", "%".concat(imei).concat("%")));
    }

    public void setBatchNum(String batchNum) {
        if (!StringUtils.isEmpty(batchNum))
            addParam(QueryParamExp.like("batchNum", "%".concat(batchNum).concat("%")));
    }

}
